Zenway

Linux - это интересно!

Вы не вошли.

#1 31-08-2012 20:05:12

posixru
Модератор
Откуда: СССР
Здесь с 21-10-2010
Сообщений: 1,413
Сайт
LinuxSeaMonkey 2.11

ArchBang Linux

Продолжение начатого в ArchBang Linux 2012.05
Русская Виртуальная Клавиатура

error: failed to commit transaction (conflicting files)
Errors occurred, no packages were upgraded.

Удалить конфликтующие/уже имеющиеся файлы.

[root@archbang xtc]# pacman -S chromium
error: target not found: chromium
[root@archbang xtc]#

Настроить репы как описано ТУТ (1.2 Репозитории)
chromium.png

[root@archbang xtc]# /etc/locale.gen

bash: /etc/locale.gen: Permission denied

В файле /etc/locale.gen от root раскомментировать ru_RU.KOI8-R KOI8-R  а потом уже выполнить locale-gen и затем в файле /etc/rc.conf выставить LOCALE="ru_RU.UTF-8" Подробнее тут Locale (Русский)

a tak je pri zapuske grub est' tol'ko linux, a windows xp v spiske otsutstvuet

При установке, диск с виндой был смонтирован? Если нет, то GRUB его просто не видит...
Я всегда его в /winda монтировал. Два раза ставил ArchBang рядом c win, без проблем прошло.
Почитать и найти ответы можно тут Fstab (Русский) и тут GRUB2 (Русский)

Вне форума

31-08-2012 20:05:12

google
реклама

Re: ArchBang Linux



#2 01-09-2012 01:12:48

dos28
Участник
Здесь с 31-08-2012
Сообщений: 2
LinuxFirefox 12.0

Re: ArchBang Linux

кароче... уже запарился)
1) как сделать переключение расскладок чтобы было видно RU EN ?
2)если при установке не монтирую разделы с виндой, потом в программе Disks я их монтирую, но груб  все равно их не видит.

3)как-то все репозитории настроены по инструкции, в прошлый раз все же както устанвоил хром, но я потом что-то поломал пришлось опять переустановить систему и снова не могу устанавливать хромиум. - а вот как решил

После этого обновите список пакетов:

# pacman -Syy

Отредактировано dos28 (01-09-2012 01:43:28)

Вне форума

#3 01-09-2012 02:10:25

posixru
Модератор
Откуда: СССР
Здесь с 21-10-2010
Сообщений: 1,413
Сайт
LinuxSeaMonkey 2.11

Re: ArchBang Linux

кароче... уже запарился)

grin.gif Это по незнанию, всё делается быстро, когда знаешь...
1) yaourt -S qxkb (сначала pacman -S yaourt) Я его с Oprnbox использую не только в Arch

qxkb.png

2) Можно почитать тут: Windows and Arch Dual Boot (Русский) И... После сделанных изменений нужно обновлять конфигурацию груб (sudo update-grub)
3) В /etc/pacman.d/mirrorlist закоментить все Server кроме русских/украинских (если в России/Украине). Перед установкой обновлять репы выполнением pacman -Syu

Вне форума

#4 01-09-2012 11:17:59

dos28
Участник
Здесь с 31-08-2012
Сообщений: 2
LinuxFirefox 12.0

Re: ArchBang Linux

а что в это случае надо сделать, чтобы обновка прошла успешно?

Скрытый текст
[root@archbang xtc]# pacman -Syu
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 archlinuxfr is up to date
:: Starting full system upgrade...
:: Replace dbus-python with extra/python2-dbus? [Y/n] y
:: Replace libusb with core/libusbx? [Y/n] y
warning: obkey-git: local (20120122-1) is newer than archlinuxfr (20111026-1)
:: Replace procps with core/procps-ng? [Y/n] n
:: Replace pyxdg with extra/python2-xdg? [Y/n] y
:: Replace udev with core/systemd? [Y/n] y
resolving dependencies...
warning: dependency cycle detected:
warning: dbus-core will be installed before its systemd dependency
looking for inter-conflicts...

Targets (279): acl-2.2.51-2  alsa-firmware-1.0.25-2  arandr-0.1.6-1
               ati-dri-8.0.4-3  attr-2.4.46-2  automake-1.12.3-1
               bash-4.2.037-1  binutils-2.22-10  bison-2.6.2-1  bzip2-1.0.6-4
               ca-certificates-20120623-1  cairo-1.12.2-2  cifs-utils-5.6-2
               cloog-0.17.0-2  colord-0.1.21-2  conky-1.9.0-1
               consolekit-0.4.6-4  coreutils-8.17-3  cracklib-2.8.19-1
               cronie-1.4.8-3  cryptsetup-1.5.0-2  curl-7.27.0-1  db-5.3.21-1
               dbus-1.6.4-1  dbus-core-1.6.4-1  dbus-glib-0.100-1
               dbus-python-1.0.0-1 [removal]  dconf-0.12.1-2  deadbeef-0.5.5-2
               desktop-file-utils-0.20-1  device-mapper-2.02.97-1
               dhcpcd-5.6.0-1  dialog-1.1_20120706-1  dnsutils-9.9.1.P2-1
               dri2proto-2.8-1  e2fsprogs-1.42.5-1  epdfview-0.1.8-4
               exiv2-0.23-1  faac-1.28-4  fakeroot-1.18.4-1  fftw-3.3.2-1
               filesystem-2012.8-1  firefox-15.0-1  flashplugin-11.2.202.238-1
               flex-2.5.37-1  freetype2-2.4.10-1  fuse-2.9.1-1  gcc-4.7.1-6
               gcc-libs-4.7.1-6  gdk-pixbuf2-2.26.3-1  glib-networking-2.32.3-1
               glib2-2.32.4-1  glibc-2.16.0-4  glibmm-2.32.1-1
               glproto-1.4.16-1  gmp-5.0.5-1  gnome-keyring-3.4.1-3
               gnome-menus-3.4.2-1  gnutls-3.1.0-1  gpm-1.20.6-10  grep-2.14-1
               gsettings-desktop-schemas-3.4.2-1  gstreamer0.10-bad-0.10.23-2
               gstreamer0.10-bad-plugins-0.10.23-2
               gstreamer0.10-ugly-0.10.19-2
               gstreamer0.10-ugly-plugins-0.10.19-2  gtk-engines-2.21.0-1
               gtk-update-icon-cache-2.24.11-2  gtk2-2.24.11-2  gtk3-3.4.4-1
               gzip-1.5-1  hspell-1.2-1  hwids-20120815-1  iana-etc-2.30-3
               icu-49.1.2-2  inetutils-1.9.1-3  initscripts-2012.08.3-2
               intel-dri-8.0.4-3  iproute2-3.5.1-1  iputils-20101006-4
               isl-0.10-1  iso-codes-3.38-1  kbd-1.15.3-3  keyutils-1.5.5-3
               kmod-9-2  krb5-1.10.3-1  libatasmart-0.19-1  libburn-1.2.4-1
               libcaca-0.99.beta18-1  libcap-2.22-3  libcap-ng-0.7-1
               libcups-1.6.1-5  libdrm-2.4.39-1  libevent-2.0.19-1
               libexif-0.6.21-1  libfm-1.0-2  libgee-0.6.5-1  libgexiv2-0.4.1-3
               libgl-8.0.4-3  libglapi-8.0.4-3  libgssglue-0.4-1
               libimobiledevice-1.1.4-2  libisofs-1.2.4-1
               libjpeg-turbo-1.2.1-1  libldap-2.4.32-1  liblrdf-0.5.0-1
               libltdl-2.4.2-6  libmp4v2-2.0.0-2  libmpc-1.0-1  libnl-3.2.11-1
               libpcap-1.3.0-1  libpipeline-1.2.1-1  libpng-1.5.12-1
               libproxy-0.4.7-2  libpulse-2.1-1  libssh2-1.4.2-1
               libtasn1-2.13-1  libthai-0.1.18-1  libtiff-4.0.2-1
               libtool-2.4.2-6  libusb-1.0.9-1 [removal]  libusb-compat-0.1.4-2
               libusbx-1.0.12-2  libvpx-1.1.0-1  libwbclient-3.6.7-2
               libwebkit3-1.8.3-1  libx11-1.5.0-1  libxft-2.3.1-1
               libxi-1.6.1-1  libxml2-2.8.0-1  libxrandr-1.4.0-1  linux-3.5.3-1
               linux-api-headers-3.5.1-1  linux-firmware-20120625-1
               lirc-utils-1:0.9.0-26  logrotate-3.8.2-1  lvm2-2.02.97-1
               lxappearance-0.5.2-1  lxinput-0.3.2-2  lxterminal-0.1.11-2
               man-db-2.6.2-1  man-pages-3.42-1  mcpp-2.7.2-4  mdadm-3.2.5-2
               menu-cache-0.3.3-1  mesa-8.0.4-3  mkinitcpio-0.10-1
               mkinitcpio-busybox-1.20.1-1
               mobile-broadband-provider-info-20120614-1
               modemmanager-0.5.2.0-4  mpfr-3.1.1-1  mpg123-1.14.4-1
               mplayer-35014-1  net-snmp-5.7.1-3  nettle-2.5-1
               networkmanager-0.9.4.0-6  nspr-4.9.2-1  nss-3.13.6-1
               ntfs-3g-2012.1.15-3  ntfsprogs-2012.1.15-3  oblogout-0.2-11
               openbox-3.5.0-7  openssl-1.0.1.c-1  p11-kit-0.13-1
               pacman-mirrorlist-20120626-1  pam-1.1.5-4  pambase-20120701-1
               pango-1.30.1-1  pciutils-3.1.10-1  pcmanfm-1.0-1  pcre-8.31-1
               perl-5.16.1-1  perl-xml-parser-2.41-3  perl-xml-simple-2.20-1
               pinentry-0.8.1-4  pixman-0.26.2-1  pkg-config-0.27.1-1
               pm-utils-1.4.1-5  polkit-0.105-1  poppler-0.20.3-1
               poppler-glib-0.20.3-1  ppl-1.0-1  psmisc-22.19-1
               pygobject-devel-3.2.2-1  pygobject2-devel-2.28.6-6
               python-3.2.3-3  python-dbus-common-1.1.1-1
               python-distutils-extra-2.32-1  python2-dbus-1.1.1-1
               python2-distutils-extra-2.32-1  python2-gobject-3.2.2-1
               python2-gobject2-2.28.6-6  python2-xdg-0.23-1
               pyxdg-0.19-3 [removal]  randrproto-1.4.0-1  raptor-2.0.8-1
               readline-6.2.004-1  rsync-3.0.9-4  run-parts-4.3.2-1
               sane-1.0.23-1  shadow-4.1.5.1-1  shotwell-0.12.3-1  slim-1.3.4-2
               smbclient-3.6.7-2  sqlite-3.7.13-1  startup-notification-0.12-3
               sudo-1.8.5.p3-1  svga-dri-8.0.4-3  sysfsutils-2.1.0-8
               syslinux-4.05-7  syslog-ng-3.3.5-2  systemd-189-3
               sysvinit-2.88-6  taglib-1.7.2-2  tcl-8.5.12-1  tzdata-2012e-1
               udev-182-1 [removal]  udisks-1.0.4-5  udisks2-1.94.0-2
               unrar-4.2.4-1  upower-0.9.17-2  usb_modeswitch-1.2.4-1
               usbmuxd-1.0.8-1  usbutils-006-1  util-linux-2.21.2-5
               v4l-utils-0.8.8-1  virtualbox-archlinux-additions-4.1.20-2
               virtualbox-archlinux-modules-4.1.20-3  volumeicon-0.4.6-4
               vte-common-0.32.2-1  wget-1.14-1  wildmidi-0.2.3.5-2
               wireless_tools-29-7  wpa_supplicant-1.0-1  x264-20120705-1
               xcb-util-0.3.9-1  xdg-utils-1.1.0-2.20120520
               xf86-input-evdev-2.7.3-1  xf86-input-keyboard-1.6.2-1
               xf86-input-mouse-1.8.1-1  xf86-input-synaptics-1.6.2-1
               xf86-input-vmmouse-12.9.0-1  xf86-video-apm-1.2.5-1
               xf86-video-ark-0.7.5-1  xf86-video-ast-0.97.0-1
               xf86-video-ati-1:6.14.6-1  xf86-video-chips-1.2.5-1
               xf86-video-cirrus-1.5.1-1  xf86-video-dummy-0.3.6-1
               xf86-video-fbdev-0.4.3-1  xf86-video-glint-1.2.8-1
               xf86-video-i128-1.3.6-1  xf86-video-i740-1.3.4-1
               xf86-video-intel-2.20.5-1  xf86-video-mach64-6.9.3-1
               xf86-video-mga-1.6.1-1  xf86-video-neomagic-1.2.7-1
               xf86-video-nouveau-1.0.1-1  xf86-video-nv-2.1.20-1
               xf86-video-r128-6.8.4-1  xf86-video-s3-0.6.4-1
               xf86-video-s3virge-1.10.6-1  xf86-video-savage-2.3.6-1
               xf86-video-siliconmotion-1.7.7-1  xf86-video-sis-0.10.7-1
               xf86-video-sisusb-0.9.6-1  xf86-video-tdfx-1.4.5-1
               xf86-video-trident-1.3.6-1  xf86-video-tseng-1.2.5-1
               xf86-video-vesa-2.3.2-1  xf86-video-voodoo-1.2.5-1
               xfconf-4.10.0-2  xfsprogs-3.1.8-2  xkeyboard-config-2.6-1
               xorg-server-1.12.4-1  xorg-server-common-1.12.4-1
               xorg-xinput-1.6.0-1  xz-5.0.4-1  zlib-1.2.7-1

Total Installed Size:   1280.11 MiB
Net Upgrade Size:       133.35 MiB

Proceed with installation? [Y/n] y
(275/275) checking package integrity               [----------------------] 100%
(275/275) loading package files                    [----------------------] 100%
(275/275) checking for file conflicts              [----------------------] 100%
error: failed to commit transaction (conflicting files)
glibc: /lib exists in filesystem
filesystem: /var/lock exists in filesystem
filesystem: /var/run exists in filesystem
Errors occurred, no packages were upgraded.

Далее - был установлен chromium, но при запуске его ничего не присходит, ну а терминал пишет:

[root@archbang xtc]# chromium
/usr/lib/chromium/chromium: error while loading shared libraries: libudev.so.1: cannot open shared object file: No such file or directory

В интернете нашел типа переустановите занова все решится, но ничего не решается)

+ поменял языки в rc.conf и locale.gen но в меню разделы типа интрнет системные и т.п. - вопросительные знаки, как исправить?
1259b3e24180189199a989ceba58d993.png

Добавлено спустя 53 мин 56 с:
Я себе поэтому и выбрал archbang вместо ubuntu чтобы лучше научиться да и собрать под себя, конечно прийдётся помучаться)) потом уже может и арчлинукс смогу осилить, но туда мне совсем страшно лезть) тут хоть иксы эти есть) оболочка

п.с. спасибо за qxkb - теперь как человек хоть себя чувствую)

Добавлено спустя 1 ч 53 мин 22 с:
а говорят это http://archlinux.org.ru/forum/viewtopic … 765#p86765

Отредактировано dos28 (01-09-2012 12:05:52)

Вне форума

#5 01-09-2012 16:07:19

posixru
Модератор
Откуда: СССР
Здесь с 21-10-2010
Сообщений: 1,413
Сайт
LinuxSeaMonkey 2.11

Re: ArchBang Linux

error: failed to commit transaction (conflicting files)
glibc: /lib exists in filesystem

sudo pacman -Su --ignore glibc
wiki.archlinux пишет:

# pacman -Syu

Warning: В связи с тем, что Arch является постоянно-обновляемым дистрибутивом, пользователям следует помнить, что после или в процессе обновления могут возникнуть непредвиденные трудности. Поэтому обновляться следует с осторожностью. Это означает, что если, например, ожидаются большие изменения или нововведения в обновляемых пакетах, то обновлять систему лучше тогда, когда у пользователя будет достаточно свободного времени и он будет готов к решению возможных проблем.

pacman является мощным инструментом по управлению пакетами, но он не сможет обработать все возможные ситуации. Если вас это смущает - прочтите Путь Arch Linux. Пользователь должен быть внимателен и сам заниматься обеспечением работоспособности своей системы. При выполнении обновления системы, крайне важно, читать и осмысливать всю информацию которую выводит pacman. Если вы изменяли конфигурационный файл, то при обновлении, во избежание перезаписи, будет создан новый конфигурационный файл .pacnew. pacman предложит объединить его с вашим конфигурационным файлом. Выполнять объединение файлов придется вручную и, лучше всего, сразу после обновления. Для получения дополнительной информации обратитесь к руководству Pacnew and Pacsave Files.

Автоматом файлы не перезаписываются... Специально так сделано. Переименовать конфликтующие файлы/каталоги и потом, после обновления совместить. Хотя можно сделать и:

sudo pacman -Syuf

+ поменял языки в rc.conf и locale.gen но в меню разделы типа интрнет

В файле  /etc/locale.gen

##  Examples:
##  ru_RU.UTF-8 UTF-8
## 
#pt_PT@euro ISO-8859-15  
#ro_RO.UTF-8 UTF-8  
#ro_RO ISO-8859-2  
ru_RU.KOI8-R KOI8-R  
ru_RU.UTF-8 UTF-8  
ru_RU ISO-8859-5  
ru_RU CP1251
#ru_UA.UTF-8 UTF-8  
#ru_UA KOI8-U  
#rw_RW UTF-8  
#sa_IN UTF-8  

B файле /etc/rc.conf выставить LOCALE="ru_RU.UTF-8" a затем locale-gen и перезапустить.

вместо ubuntu чтобы лучше научиться да и собрать под себя, конечно прийдётся помучаться)) потом уже может и арчлинукс смогу осилить, но туда мне совсем страшно лезть) тут хоть иксы эти есть) оболочка

Да это кажется что сложнее, после первичного освоения, настройки и доводки эксплуатация не вызывает проблем. По себе знаю.

Вне форума

#6 14-06-2013 00:56:57

Strannik
Гость
LinuxFirefox 19.0

Re: ArchBang Linux

Ya noob v arch, postavil archbang, sdelal kak v http://wiki.archbang.org/index.php?titl … ow_what.3F
1) Kak sdelat' pereklyuchenie na rus yazyk?
2) "# pacman -Syy" - proshlo uspeshno, a "# pacman -Syu" - pishet:

:: Приступить к установке? [Y/n] y
(278/278) проверка ключей                          [########################] 100%
(278/278) проверяется целостность пакета           [########################] 100%
(278/278) загрузка файлов пакета                   [########################] 100%
(278/278) проверка конфликтов файлов               [########################] 100%
ошибка: не удалось завершить запрос (конфликтующие файлы)
filesystem: /bin уже существует в файловой системе
filesystem: /sbin уже существует в файловой системе
filesystem: /usr/sbin уже существует в файловой системе
Обнаружены ошибки, пакеты не были обновлены.

Chto delat'?
Na "# pacman -Syuf" pishet:

ошибка: несуществующий параметр

... Pomogite.

#7 14-06-2013 07:26:30

posixru
Модератор
Откуда: СССР
Здесь с 21-10-2010
Сообщений: 1,413
Сайт
LinuxSeaMonkey 2.17

Re: ArchBang Linux

Ответы на все, даже не заданные вопросы, можно всегда найти на archlinux.org.ru/forum
Решение данной проблемы можно узнать тут:
Исполняемые файлы переезжают в /usr/bin!

Вне форума

#8 17-06-2013 20:49:43

Strannik
Гость
LinuxFirefox 4.0

Re: ArchBang Linux

posixru, спасибо. Я решил покопаться в системе в оскресенье вечером, когда увидел новость о выходе Archbang-2013.6 - поставил его, там обновился без проблем.
Будет его обзор?

У меня такая проблема - стоит на компе Puppy-5 Wary (древний комп для кухни), поставил на 2-й раздел Archbang, в качестве загрузчика выставлял Syslinux(c Grub-2) - Grub-2 там только для UEFI-систем - после этого не могу добавить Puppy. Восстановил загрузчик Puppy, но не могу туда добавить Archbang (update-grub пробовал, os-probe ставил).

#9 17-06-2013 23:13:23

posixru
Модератор
Откуда: СССР
Здесь с 21-10-2010
Сообщений: 1,413
Сайт
LinuxSeaMonkey 2.17

Re: ArchBang Linux

Strannik пишет:

Восстановил загрузчик Puppy, но не могу туда добавить Archbang

Я про Puppy не знаю, давно PuppyRus только Live режиме использую, может у них на форуме глянуть/спросить, да и документация там подробная.
А в Archbang можно Grub Customizer воспользоваться (yaourt -S grub-customizer). Как то давно помню правил им, удачно кстати, было это давно я тогда по паре/тройке систем на харде имел и в конфиге как то запутался... В нём всё поправил и упорядочил.

Вне форума

#10 22-07-2013 01:21:00

redix
Участник
Здесь с 14-02-2013
Сообщений: 1,690
LinuxChrome 28.0

Re: ArchBang Linux

posixru, подскажи плз, какие то пакеты для русификации Archbang, устанавливать нужно?


In Tux We Trust

Активен

22-07-2013 01:21:00

google
реклама

Re: ArchBang Linux



#11 22-07-2013 01:48:20

posixru
Модератор
Откуда: СССР
Здесь с 21-10-2010
Сообщений: 1,413
Сайт
LinuxSeaMonkey 2.19

Re: ArchBang Linux

Не, ничего не надо, только пару конфигов поправить и сделать locale-gen
Подробности тут: Locale (Русский)

Вне форума

#12 23-07-2013 02:21:20

redix
Участник
Здесь с 14-02-2013
Сообщений: 1,690
LinuxChrome 28.0

Re: ArchBang Linux

posixru, ещё один вопрос. Yaourt в Archbang-е работает или там packer? Wiki on maintenance.(((


In Tux We Trust

Активен

#13 24-07-2013 00:03:47

posixru
Модератор
Откуда: СССР
Здесь с 21-10-2010
Сообщений: 1,413
Сайт
LinuxSeaMonkey 2.19

Re: ArchBang Linux

Archbang не отличается от Арчика, он просто одна из готовых его сборок, засим всё что написано в Вики  Арчика полностью применимо в Archbang.

Вне форума

#14 24-07-2013 00:14:01

redix
Участник
Здесь с 14-02-2013
Сообщений: 1,690
LinuxChrome 28.0

Re: ArchBang Linux

Thnks! Да одном форуме помогаю человеку, а сам подзабыл кое что. И времени нет свободного, чтобы установить что то второй системой.
Грузился с ливсиди Manjaro-openbox и смотрел на конфиги. В заключение дам ссылку http://www.opennet.ru/opennews/art.shtml?num=37481, может будет интересно, а может и прочитал уже. )))

Отредактировано redix (24-07-2013 00:14:18)


In Tux We Trust

Активен

Сейчас в этой теме пользователей: 0, гостей: 1
[Bot] CCBot

Подвал форума

Под управлением FluxBB
Модифицировал Visman

[ Сгенерировано за 0.013 сек, 8 запросов выполнено - Использовано памяти: 560.32 Кбайт (Пик: 709.7 Кбайт) ]